Bug 220956 - bcm43xx: WARNING: Writing invalid LOpair (low: -128, high: 0, index: 120)
bcm43xx: WARNING: Writing invalid LOpair (low: -128, high: 0, index: 120)
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks: 427887
  Show dependency treegraph
 
Reported: 2006-12-29 11:24 EST by Erik Sohns
Modified: 2008-02-07 23:27 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-07 23:27:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Erik Sohns 2006-12-29 11:24:10 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1) Gecko/20061027 Firefox/2.0

Description of problem:
module creates these (worrying) syslog entries:

Dec 29 14:25:01 worms kernel: bcm43xx: Radio turned off
Dec 29 14:25:01 worms kernel: bcm43xx: DMA-32 0x0200 (RX) max used slots: 1/64
Dec 29 14:25:01 worms kernel: bcm43xx: DMA-32 0x02A0 (TX) max used slots: 0/512
Dec 29 14:25:01 worms kernel: bcm43xx: DMA-32 0x0280 (TX) max used slots: 0/512
Dec 29 14:25:01 worms kernel: bcm43xx: DMA-32 0x0260 (TX) max used slots: 0/512
Dec 29 14:25:01 worms kernel: bcm43xx: DMA-32 0x0240 (TX) max used slots: 0/512
Dec 29 14:25:01 worms kernel: bcm43xx: DMA-32 0x0220 (TX) max used slots: 12/512
Dec 29 14:25:01 worms kernel: bcm43xx: DMA-32 0x0200 (TX) max used slots: 0/512
Dec 29 14:25:08 worms kernel: bcm43xx: set security called, .level = 0, .enabled = 0, .encrypt = 0
Dec 29 14:25:08 worms kernel: SoftMAC: Associate: Scanning for networks first.
Dec 29 14:25:08 worms kernel: SoftMAC: Associate: failed to initiate scan. Is device up?
Dec 29 14:25:09 worms kernel: bcm43xx: Microcode rev 0x123, pl 0x20 (2004-11-16  07:12:11)
Dec 29 14:25:09 worms kernel: bcm43xx: Radio turned on
Dec 29 14:25:09 worms kernel: bcm43xx: ASSERTION FAILED (radio_attenuation < 10) at: drivers/net/wireless/bcm43xx/bcm43xx_phy.c:1496:bcm43xx_find_lopair()
Dec 29 14:25:09 worms kernel: bcm43xx: WARNING: Writing invalid LOpair (low: -128, high: 0, index: 120)
Dec 29 14:25:09 worms kernel:  [<c04051db>] dump_trace+0x69/0x1af
Dec 29 14:25:09 worms kernel:  [<c0405339>] show_trace_log_lvl+0x18/0x2c
Dec 29 14:25:09 worms kernel:  [<c04058ed>] show_trace+0xf/0x11
Dec 29 14:25:09 worms kernel:  [<c04059ea>] dump_stack+0x15/0x17
Dec 29 14:25:09 worms kernel:  [<f8a5674a>] bcm43xx_phy_lo_adjust+0x1e5/0x224 [bcm43xx]
Dec 29 14:25:09 worms kernel:  [<f8a5835b>] bcm43xx_phy_initb6+0x699/0x7c9 [bcm43xx]
Dec 29 14:25:09 worms kernel:  [<f8a58535>] bcm43xx_phy_initg+0xaa/0xd2c [bcm43xx]
Dec 29 14:25:09 worms kernel:  [<f8a5a1c0>] bcm43xx_phy_init+0x5e5/0x603 [bcm43xx]
Dec 29 14:25:09 worms kernel:  [<f8a4ae04>] bcm43xx_chip_init+0x73a/0xa33 [bcm43xx]
Dec 29 14:25:09 worms kernel:  [<f8a4c510>] wireless_core_up+0x1ad/0x6a3 [bcm43xx]
Dec 29 14:25:09 worms kernel:  [<f8a4cd80>] bcm43xx_select_wireless_core+0x37a/0x4f5 [bcm43xx]
Dec 29 14:25:10 worms kernel:  [<f8a4cfeb>] bcm43xx_init_board+0x47/0x11e [bcm43xx]
Dec 29 14:25:10 worms kernel:  [<c05ba217>] dev_open+0x2b/0x62
Dec 29 14:25:10 worms kernel:  [<c05b8c3b>] dev_change_flags+0x47/0xe4
Dec 29 14:25:10 worms kernel:  [<c05f4b74>] devinet_ioctl+0x250/0x551
Dec 29 14:25:10 worms kernel:  [<c05afb09>] sock_ioctl+0x19b/0x1bf
Dec 29 14:25:10 worms kernel:  [<c047f1d7>] do_ioctl+0x1f/0x62
Dec 29 14:25:10 worms kernel:  [<c047f464>] vfs_ioctl+0x24a/0x25c
Dec 29 14:25:10 worms kernel:  [<c047f4c2>] sys_ioctl+0x4c/0x66
Dec 29 14:25:10 worms kernel:  [<c0404013>] syscall_call+0x7/0xb
Dec 29 14:25:10 worms kernel: DWARF2 unwinder stuck at syscall_call+0x7/0xb
Dec 29 14:25:10 worms kernel: Leftover inexact backtrace:
Dec 29 14:25:10 worms kernel:  =======================
Dec 29 14:25:10 worms kernel: bcm43xx: ASSERTION FAILED (radio_attenuation < 10) at: drivers/net/wireless/bcm43xx/bcm43xx_phy.c:1496:bcm43xx_find_lopair()
Dec 29 14:25:10 worms kernel: bcm43xx: WARNING: Writing invalid LOpair (low: -128, high: 0, index: 120)
Dec 29 14:25:10 worms kernel:  [<c04051db>] dump_trace+0x69/0x1af
Dec 29 14:25:10 worms kernel:  [<c0405339>] show_trace_log_lvl+0x18/0x2c
Dec 29 14:25:10 worms kernel:  [<c04058ed>] show_trace+0xf/0x11
Dec 29 14:25:10 worms kernel:  [<c04059ea>] dump_stack+0x15/0x17
Dec 29 14:25:10 worms kernel:  [<f8a5674a>] bcm43xx_phy_lo_adjust+0x1e5/0x224 [bcm43xx]
Dec 29 14:25:10 worms kernel:  [<f8a59063>] bcm43xx_phy_initg+0xbd8/0xd2c [bcm43xx]
Dec 29 14:25:10 worms kernel:  [<f8a5a1c0>] bcm43xx_phy_init+0x5e5/0x603 [bcm43xx]
Dec 29 14:25:10 worms kernel:  [<f8a4ae04>] bcm43xx_chip_init+0x73a/0xa33 [bcm43xx]
Dec 29 14:25:10 worms kernel:  [<f8a4c510>] wireless_core_up+0x1ad/0x6a3 [bcm43xx]
Dec 29 14:25:10 worms kernel:  [<f8a4cd80>] bcm43xx_select_wireless_core+0x37a/0x4f5 [bcm43xx]
Dec 29 14:25:10 worms kernel:  [<f8a4cfeb>] bcm43xx_init_board+0x47/0x11e [bcm43xx]
Dec 29 14:25:10 worms kernel:  [<c05ba217>] dev_open+0x2b/0x62
Dec 29 14:25:10 worms kernel:  [<c05b8c3b>] dev_change_flags+0x47/0xe4
Dec 29 14:25:10 worms kernel:  [<c05f4b74>] devinet_ioctl+0x250/0x551
Dec 29 14:25:10 worms kernel:  [<c05afb09>] sock_ioctl+0x19b/0x1bf
Dec 29 14:25:10 worms kernel:  [<c047f1d7>] do_ioctl+0x1f/0x62
Dec 29 14:25:10 worms kernel:  [<c047f464>] vfs_ioctl+0x24a/0x25c
Dec 29 14:25:10 worms kernel:  [<c047f4c2>] sys_ioctl+0x4c/0x66
Dec 29 14:25:10 worms kernel:  [<c0404013>] syscall_call+0x7/0xb
Dec 29 14:25:10 worms kernel: DWARF2 unwinder stuck at syscall_call+0x7/0xb
Dec 29 14:25:10 worms kernel: Leftover inexact backtrace:
Dec 29 14:25:10 worms kernel:  =======================
Dec 29 14:25:10 worms kernel: bcm43xx: Chip initialized
Dec 29 14:25:10 worms kernel: bcm43xx: 32-bit DMA initialized
Dec 29 14:25:10 worms kernel: bcm43xx: Keys cleared
Dec 29 14:25:10 worms kernel: bcm43xx: Selected 802.11 core (phytype 2)
Dec 29 14:25:10 worms kernel: ADDRCONF(NETDEV_UP): eth1: link is not ready
Dec 29 14:25:10 worms kernel: bcm43xx: ASSERTION FAILED (radio_attenuation < 10) at: drivers/net/wireless/bcm43xx/bcm43xx_phy.c:1496:bcm43xx_find_lopair()
Dec 29 14:25:10 worms kernel: bcm43xx: WARNING: Writing invalid LOpair (low: -128, high: 0, index: 120)
Dec 29 14:25:10 worms kernel:  [<c04051db>] dump_trace+0x69/0x1af
Dec 29 14:25:10 worms kernel:  [<c0405339>] show_trace_log_lvl+0x18/0x2c
Dec 29 14:25:10 worms kernel:  [<c04058ed>] show_trace+0xf/0x11
Dec 29 14:25:10 worms kernel:  [<c04059ea>] dump_stack+0x15/0x17
Dec 29 14:25:10 worms kernel:  [<f8a5674a>] bcm43xx_phy_lo_adjust+0x1e5/0x224 [bcm43xx]
Dec 29 14:25:10 worms kernel:  [<f8a57598>] bcm43xx_phy_lo_g_measure+0x916/0xaf9 [bcm43xx]
Dec 29 14:25:10 worms kernel:  [<f8a4dc17>] bcm43xx_periodic_work_handler+0x153/0x34b [bcm43xx]
Dec 29 14:25:10 worms kernel:  [<c0433c18>] run_workqueue+0x83/0xc5
Dec 29 14:25:10 worms kernel:  [<c0434508>] worker_thread+0xd9/0x10d
Dec 29 14:25:10 worms kernel:  [<c04369db>] kthread+0xc0/0xed
Dec 29 14:25:10 worms kernel:  [<c0404dab>] kernel_thread_helper+0x7/0x10
Dec 29 14:25:10 worms kernel: DWARF2 unwinder stuck at kernel_thread_helper+0x7/0x10
Dec 29 14:25:10 worms kernel: Leftover inexact backtrace:
Dec 29 14:25:10 worms kernel:  =======================
Dec 29 14:25:10 worms kernel: SoftMAC: Queueing Authentication Request to 00:14:51:6b:31:49
Dec 29 14:25:10 worms kernel: SoftMAC: Cannot associate without being authenticated, requested authentication
Dec 29 14:25:10 worms kernel: SoftMAC: Sent Authentication Request to 00:14:51:6b:31:49.
Dec 29 14:25:15 worms kernel: bcm43xx: Radio turned off
Dec 29 14:25:15 worms kernel: bcm43xx: DMA-32 0x0200 (RX) max used slots: 1/64
Dec 29 14:25:15 worms kernel: bcm43xx: DMA-32 0x02A0 (TX) max used slots: 0/512
Dec 29 14:25:15 worms kernel: bcm43xx: DMA-32 0x0280 (TX) max used slots: 0/512
Dec 29 14:25:15 worms kernel: bcm43xx: DMA-32 0x0260 (TX) max used slots: 0/512
Dec 29 14:25:15 worms kernel: bcm43xx: DMA-32 0x0240 (TX) max used slots: 0/512
Dec 29 14:25:15 worms kernel: bcm43xx: DMA-32 0x0220 (TX) max used slots: 1/512
Dec 29 14:25:15 worms kernel: bcm43xx: DMA-32 0x0200 (TX) max used slots: 0/512


Version-Release number of selected component (if applicable):
Linux worms.home 2.6.18-1.2868.fc6 #1 SMP Fri Dec 15 17:32:54 EST 2006 i686 athlon i386 GNU/Linux

How reproducible:
Didn't try


Steps to Reproduce:
1.
2.
3.

Actual Results:


Expected Results:


Additional info:
Comment 1 Jon Stanley 2008-01-07 20:54:09 EST
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!
Comment 2 Jon Stanley 2008-02-07 23:27:16 EST
Per the previous comment in this bug, I am closing it as INSUFFICIENT_DATA,
since no information has been lodged for over 30 days.

Please re-open this bug or file a new one if you can provide the requested data,
and thanks for filing the original report!

Note You need to log in before you can comment on or make changes to this bug.